## pilercr 1.06+dfsg

=== Makefile ===
CFLAGS = -O3 -DNDEBUG=1
LDLIBS = -lm -static
# LDLIBS = -lm

OBJ = .o
EXE =

RM = rm -f
CP = cp

GPP = g++
LD = $(GPP) $(CFLAGS)
CPP = $(GPP) -c $(CFLAGS) 

all: pilercr

CPPSRC = $(sort $(wildcard *.cpp))
CPPOBJ	= $(subst .cpp,.o,$(CPPSRC))

$(CPPOBJ): %.o: %.cpp
	$(CPP) $< -o $@

pilercr: $(CPPOBJ)
	$(LD) -o pilercr $(CPPOBJ) $(LDLIBS)
	strip pilercr

=== debian/changelog ===
pilercr (1.06+dfsg-5) unstable; urgency=medium

  [ Shruti Sridhar ]
  * Team upload.
  * Add test data
  * Add autopkgtests
  * Install README as docs

  [ Nilesh Patra ]
  * d/tests/get-test-data: Add script for fetching data
  * d/docs: Install get-test-data script

 -- Nilesh Patra <nilesh@debian.org>  Mon, 16 Aug 2021 13:54:23 +0530

pilercr (1.06+dfsg-4) unstable; urgency=medium

  * Team upload.
  * Fix FTCBFS: (Closes: #977482)
    + Pass C++ compiler as GPP variable.
    + Add native build pass for help2man.

 -- Helmut Grohne <helmut@subdivi.de>  Tue, 15 Dec 2020 15:37:19 +0100

pilercr (1.06+dfsg-3) unstable; urgency=medium

  * Team upload.
  * Standards-Version: 4.5.1 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Remove trailing whitespace in debian/copyright (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)

 -- Andreas Tille <tille@debian.org>  Sat, 05 Dec 2020 11:52:04 +0100

pilercr (1.06+dfsg-2) unstable; urgency=medium

  * Adding a patch to fix hurd and kfreebsd-* builds.
  * Removing 'pilercr' executable in override_dh_auto_clean.
  * Fixing my e-mail in debian/copyright.

 -- Andrius Merkys <merkys@debian.org>  Tue, 16 Apr 2019 13:48:07 -0400

pilercr (1.06+dfsg-1) unstable; urgency=medium

  * Initial release (Closes: #909742)

 -- Andrius Merkys <andrius.merkys@gmail.com>  Wed, 26 Sep 2018 06:15:33 -0400

=== debian/control ===
Source: pilercr
Section: science
Priority: optional
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Andrius Merkys <merkys@debian.org>
Build-Depends: debhelper-compat (= 13),
               help2man
Standards-Version: 4.5.1
Homepage: https://www.drive5.com/pilercr/
Rules-Requires-Root: no
Vcs-Browser: https://salsa.debian.org/med-team/pilercr
Vcs-Git: https://salsa.debian.org/med-team/pilercr.git

Package: pilercr
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: software for finding CRISPR repeats
 CRISPR elements are short, highly conserved repeats in prokaryotic genomes
 separated by unique sequences of similar length. PILERCR is designed for the
 identification and analysis of CRISPR repeats.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/architecture.mk
include /usr/share/dpkg/pkg-info.mk

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

override_dh_auto_build:
	dpkg-architecture -f -a$(DEB_BUILD_ARCH) -c dh_auto_build -- 'GPP=$$(CXX)'
	help2man ./pilercr \
	    --name 'software for finding CRISPR repeats' \
	    --help-option '-options' --no-discard-stderr \
            --version-string ${DEB_VERSION_UPSTREAM} \
	    --no-info > pilercr.1
ifneq ($(DEB_BUILD_ARCH),$(DEB_HOST_ARCH))
	$(RM) pilercr *.o
	dh_auto_build -- 'GPP=$$(CXX)'
endif

override_dh_auto_clean:
	rm -f *.o pilercr pilercr.1
